Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.gui.page
Class WikiPage

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Column
              ch.uzh.ifi.attempto.acewiki.gui.page.WikiPage

All Implemented Interfaces:
  java.io.Serializable, nextapp.echo2.app.RenderIdSupport

Direct Known Subclasses:
  ArticlePage, AssignmentsPage, ErrorPage, HierarchyPage, IndexPage, IndividualsPage, LogicPage, ReferencesPage, SearchPage, SentencePage, StartPage, WordPage

    public abstract class WikiPage

extends nextapp.echo2.app.Column

This is the superclass of all page classes. It represents a wiki page of AceWiki.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Column
`PROPERTY_BORDER, PROPERTY_CELL_SPACING, PROPERTY_INSETS`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`WikiPage(Wiki wiki, Title title)` Initializes a new wiki page.

Method Summary
`protected void` | `addHeadline(java.lang.String text)` Adds a headline to the page content.
`protected void` | `addHorizontalLine()` Adds a horizontal line to the page content.
`protected void` | `addSelectedTab(java.lang.String tabName)` Adds a new tab to the tab row that is currently selected.
`protected void` | `addTab(java.lang.String tabName, nextapp.echo2.app.event.ActionListener actionListener)` Adds a new tab to the tab row.
`protected void` | `addTab(java.lang.String tabName, java.lang.String actionCommand, nextapp.echo2.app.event.ActionListener actionListener)` Adds a new tab to the tab row.
`protected void` | `doUpdate()` Updates the page content.
`abstract boolean` | `equals(java.lang.Object obj)`
`protected Title` | `getTitle()` Returns the title component.
`Wiki` | `getWiki()` Returns the wiki instance this page belongs to.
`boolean` | `isExpired()` Checks if the page has expired.
`protected void` | `log(java.lang.String type, java.lang.String text)` Writes a log entry.
`void` | `update()` Checks whether the page still exists and updates the page content.

Methods inherited from class nextapp.echo2.app.Column
`getBorder, getCellSpacing, getInsets, setBorder, setCellSpacing, setInsets`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WikiPage

    public WikiPage(Wiki wiki,
                    Title title)

  Initializes a new wiki page.

  Parameters:
    `wiki` - The wiki instance.
    `title` - The title component.

Method Detail

### update

    public final void update()

  Checks whether the page still exists and updates the page content.

### doUpdate

    protected void doUpdate()

  Updates the page content.

### getWiki

    public Wiki getWiki()

  Returns the wiki instance this page belongs to.

  Returns:
    The wiki instance.

### getTitle

    protected Title getTitle()

  Returns the title component.

  Returns:
    The title component.

### log

    protected void log(java.lang.String type,
                       java.lang.String text)

  Writes a log entry.

  Parameters:
    `type` - The type of the log entry.
    `text` - The log text.

### isExpired

    public boolean isExpired()

  Checks if the page has expired. A page has expired it represents an ontology element that has been deleted.

  Returns:
    true if the page has expired.

### addTab

    protected void addTab(java.lang.String tabName,
                          java.lang.String actionCommand,
                          nextapp.echo2.app.event.ActionListener actionListener)

  Adds a new tab to the tab row.

  Parameters:
    `tabName` - The name of the tab.
    `actionCommand` - The action command that is given to the action event object.
    `actionListener` - The actionlistener.

### addTab

    protected void addTab(java.lang.String tabName,
                          nextapp.echo2.app.event.ActionListener actionListener)

  Adds a new tab to the tab row.

  Parameters:
    `tabName` - The name of the tab.
    `actionListener` - The actionlistener.

### addSelectedTab

    protected void addSelectedTab(java.lang.String tabName)

  Adds a new tab to the tab row that is currently selected.

  Parameters:
    `tabName` - The name of the tab.

### addHorizontalLine

    protected void addHorizontalLine()

  Adds a horizontal line to the page content.

### addHeadline

    protected void addHeadline(java.lang.String text)

  Adds a headline to the page content.

  Parameters:
    `text` - The headline text.

### equals

    public abstract boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)